<?
include("../fnc.php");
enlinea_alumno();

  if(!$_POST[id_re]){
    alert("Parámetros incorrectos","frm_login.php");
  }
  $id_pr=dec($idp);
  $id_ev=dec($idev);
  $id_cat=dec($idcat);
  $id_curso = dec($idc);
  $qpr=mysql_query("select * from ec_preguntas where id = $id_pr");
  if(mysql_num_rows($qpr)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }else{
    $ipr=mysql_fetch_array($qpr);
  }
  $qre=mysql_query("select * from ec_opciones where id='$id_re' and pregunta='$id_pr'");
  if(mysql_num_rows($qre)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }
  $ire=mysql_fetch_array($qre);
  $nota=$ire[valor];
  
  $sql="insert into ec_respuestas (evaluacion, pregunta, alumno, respuesta, valor, fecha, ip, catedratico, curso)
        values('$id_ev', $id_pr, '$uuser',$id_re, $nota, '$fechahora','$rmhost','$id_cat', '$id_curso')";
  
  $qverifica=mysql_query("select * from ec_respuestas where alumno='$uuser' and pregunta='$id_pr' and catedratico= '$id_cat' and curso = '$id_curso'");
  if(mysql_num_rows($qverifica)==0){
    $insert=mysql_query($sql);
    if($insert){
      header("Location: responder_evaluacioncatedraticos.php?idev=$idev&id_cat=$idcat&idc=$idc");
    }else{
      alert("Error: ".mysql_error(),"javascript:history.go(-1)");
    }
  }else{
    header("Location: responder_evaluacioncatedraticos.php?idev=$idev");
  }
?>
